[supervisord]
nodaemon=true
logfile=/var/www/html/lastwar/logs/supervisor.log
logfile_maxbytes=50MB
pidfile=/var/run/supervisord.pid
childlogdir=/var/www/html/lastwar/logs

[program:bot_discord]
process_name=%(program_name)s
command=php /var/www/html/lastwar/discord_bot.php
autostart=true
autorestart=true
user=www-data
numprocs=1
stdout_logfile=/var/www/html/lastwar/logs/discord_bot.log
stdout_logfile_maxbytes=10MB
stderr_logfile=/var/www/html/lastwar/logs/discord_bot_error.log
redirect_stderr=true

[program:bot_process_queue]
process_name=%(program_name)s
command=php /var/www/html/lastwar/process_queue.php
autostart=true
autorestart=true
user=www-data
numprocs=1
stdout_logfile=/var/www/html/lastwar/logs/process_queue.log
stdout_logfile_maxbytes=10MB
stderr_logfile=/var/www/html/lastwar/logs/process_queue_error.log
redirect_stderr=true

[program:bot_translation_queue]
process_name=%(program_name)s
command=php /var/www/html/lastwar/process_translation_queue.php
autostart=true
autorestart=true
user=www-data
numprocs=1
stdout_logfile=/var/www/html/lastwar/logs/translation_queue.log
stdout_logfile_maxbytes=10MB
stderr_logfile=/var/www/html/lastwar/logs/translation_queue_error.log
redirect_stderr=true

[group:bot_workers]
programs=bot_discord,bot_process_queue,bot_translation_queue
priority=999
